import _extends from "@babel/runtime/helpers/esm/extends";
import { jsx as _jsx } from "react/jsx-runtime";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import { useState } from 'react';
import PropTypes from 'prop-types';
import Tab from './Tab';
var BASE_CLASS = 'sui-MoleculeAccordion';

function MoleculeAccordion(props) {
  var children = props.children,
      _props$defaultOpenedT = props.defaultOpenedTabs,
      defaultOpenedTabs = _props$defaultOpenedT === void 0 ? [] : _props$defaultOpenedT,
      tabProps = _objectWithoutPropertiesLoose(props, ["children", "defaultOpenedTabs"]);

  var initialOpenTabs = children.map(function (_, index) {
    return defaultOpenedTabs.includes(index);
  });

  var _useState = useState(initialOpenTabs),
      openTabs = _useState[0],
      setOpenTabs = _useState[1];

  function _onToggle(id) {
    var withAutoClose = props.withAutoClose;
    var newOpenTabs = [];

    if (withAutoClose) {
      newOpenTabs[id] = openTabs[id] ? undefined : true;
    } else {
      newOpenTabs = [].concat(openTabs);
      newOpenTabs[id] = newOpenTabs[id] ? undefined : true;
    }

    setOpenTabs([].concat(newOpenTabs));
  }

  return /*#__PURE__*/_jsx("div", {
    className: BASE_CLASS,
    children: children.map(function (child, index) {
      return /*#__PURE__*/_jsx(Tab, _extends({
        isOpen: !!openTabs[index],
        title: child.props.label,
        onToggle: function onToggle() {
          return _onToggle(index);
        }
      }, tabProps, {
        children: child.props.children
      }), index);
    })
  });
}

MoleculeAccordion.displayName = 'MoleculeAccordion';
MoleculeAccordion.defaultProps = {
  withAutoClose: true
};
export default MoleculeAccordion;